function [fST,ST,ST2,varargout] = doNothing(X,type)
% [fST,ST,ST2,varargout] = doNothing(X,type)
% Creates empty stabilization terms to use when no stabilization is chosen.
% This functions does nothing, but it's coded to be consisten with the way
% the main file is written.

% Number of nodes and elements
nPt = size(X,1); 

if type == 3
    ST  = zeros(2*nPt);
    ST2 = zeros(2*nPt);
    fST = zeros(2*nPt,1);
else
    ST  = zeros(nPt);
    ST2 = zeros(nPt);
    ST3 = zeros(nPt);
    fST = zeros(nPt,1);
end

if type == 1;   varargout{1} = ST3;     end